Advertisement
Civilization Fanatics' Center

Go Back   Civilization Fanatics' Forums > CIVILIZATION IV > Civ4 - Technical Support

Reply
 
Thread Tools
Old Jan 30, 2007, 10:50 PM   #1
FireOpal
Chieftain
 
Join Date: Jan 2007
Posts: 1
Compatibility Issues with Windows Vista??

I just installed Civ IV on my brand new Window Vista (Home Premium Edition laptop. The installation went fine; but when I tried to launch the game, I got a Microsoft message that there are "known compatibility issues" between Civ IV and Vista. I can find nothing on the CivIV website about that.

I am currently downloading the 1.61 file, but I'm wondering if there is something else I will need to do in order for the game to run as it should. Anyone have experience with Civ IV on Vista?

Thanks for any advice you can offer.
FireOpal is offline   Reply With Quote
Old Jan 31, 2007, 01:54 PM   #2
Morfydd
Warlord
 
Morfydd's Avatar
 
Join Date: Aug 2005
Location: Indiana, USA
Posts: 211
calm down play it anyway....if its not written by microsoft with a neat little tag line in the front it will say that regardless of the program you play <ie its not 64 bit native but 32 bit native ...get latest video drivers etc ...and you should be good to go> im runnign xp64 pro ..which is what vista is built on i had that same message when i loaded civ on this machine told it to ignore and run anyway in 32 bit mode
Morfydd is offline   Reply With Quote
Old Feb 01, 2007, 04:25 PM   #3
Riceman
Chieftain
 
Join Date: Feb 2007
Posts: 6
Civilization IV runs fine on Vista. There are occasional graphics "flickers," but you have to be watching closely to catch them.
Riceman is offline   Reply With Quote
Old Feb 03, 2007, 09:04 AM   #4
lvleph
Chieftain
 
Join Date: Oct 2005
Posts: 6
I have been having an issue that I still have not worked out with Vista and Civ IV. I have the latest updates and all, but when trying to play multi-player using direct ip connection, which is how my wife and I always play, I can no longer connect to her computer. This worked fine under XP, but now that we both have Vista it does not work. Any one have any suggestions?
lvleph is offline   Reply With Quote
Old Feb 04, 2007, 12:54 PM   #5
Scubadude
Chieftain
 
Join Date: Feb 2007
Posts: 2
I`ve installed Civ4, but it wont start because it cannot find some directx9 file. Since Vista ships with DX10, i rather not install DX9c. How did you guys come around this problem?
Scubadude is offline   Reply With Quote
Old Feb 04, 2007, 02:48 PM   #6
lvleph
Chieftain
 
Join Date: Oct 2005
Posts: 6
I didn't have that problem at all. I did install the update found on this site before I even tried playing.
lvleph is offline   Reply With Quote
Old Feb 09, 2007, 07:07 PM   #7
eppybiz
Chieftain
 
Join Date: Aug 2006
Posts: 3
Mine won't start at all.

I loaded Civ4 on my new computer, and it won't start. I get a message when I try to start it, that there is a known compatability issue and it just stops loading. Poof!

If anyone has any ideas, I sure would appreciate it. I was going to play civ4 and make sure it worked and then try to load warlords, but like I said, I can't play civ4 yet.

Thanks for any help.
eppybiz is offline   Reply With Quote
Old Feb 09, 2007, 08:06 PM   #8
Riceman
Chieftain
 
Join Date: Feb 2007
Posts: 6
eppybiz: You need to download the latest patch for Civ4 before it will work on Vista.
Riceman is offline   Reply With Quote
Old Feb 13, 2007, 07:02 PM   #9
derbubba
Chieftain
 
Join Date: Feb 2007
Posts: 2
multiplayer

Has anyone answered lvleph's question about vista and multiplyer yet? I am having the same problem, despite opening a million ports. Please let me know if someone has figured this out. Thx
derbubba is offline   Reply With Quote
Old Feb 14, 2007, 09:30 PM   #10
brenter
Chieftain
 
Join Date: Dec 2003
Posts: 3
So I installed Civilization 4 and when I try to load it, it gives me this error about not finding D3DX9_26.DLL. I'm curious, do you think I need to install directx 9 for it to work? Does Vista need dx10 for anything or would it be okay to revert? I would much rather figure out a way to make it run under DX10...
brenter is offline   Reply With Quote
Old Feb 15, 2007, 11:58 PM   #11
ozman69
Chieftain
 
Join Date: Feb 2007
Posts: 2
Quote:
Originally Posted by brenter View Post
So I installed Civilization 4 and when I try to load it, it gives me this error about not finding D3DX9_26.DLL. I'm curious, do you think I need to install directx 9 for it to work? Does Vista need dx10 for anything or would it be okay to revert? I would much rather figure out a way to make it run under DX10...
Same problem here. I downloaded the latest patch for Civ 4, have directx 10 installed and get the error about needing D3DX9_26.dll. Anyone have a fix for this?

Oz
ozman69 is offline   Reply With Quote
Old Feb 16, 2007, 09:19 AM   #12
chrissicom
Chieftain
 
chrissicom's Avatar
 
Join Date: Apr 2002
Posts: 82
I am running Civ IV Warlords 2.08 on Vista Ultimate x64 without a warning and no general problems.
chrissicom is offline   Reply With Quote
Old Feb 16, 2007, 04:38 PM   #13
ozman69
Chieftain
 
Join Date: Feb 2007
Posts: 2
Would just putting that one dll file on your computer allow it to play? Having directx10 and that dll I mean.

Oz

edit: I'll answer my own questions since I just tried: Yes, adding this dll file to your C://windows/system32/ folder will allow the game to work. I'm guessing those with Vista who didn't have a problem used an upgrade version which allowed them to use the previously installed dll. Those who couldn't get it to work (like me) have either a brand new system with Vista or installed on a new or formatted drive.

Here's a link for the dll in case anyone needs it: http://www.dll-files.com/dllindex/dl...shtml?d3dx9_26

Hope this helps someone out there.

Last edited by ozman69; Feb 16, 2007 at 04:45 PM.
ozman69 is offline   Reply With Quote
Old Feb 16, 2007, 07:00 PM   #14
chrissicom
Chieftain
 
chrissicom's Avatar
 
Join Date: Apr 2002
Posts: 82
Well actually when you install the game on Vista DirectX 9 is simply installing the necessary fiels from the Civ IV CD. It's no problem to run a DX9 Setup on Vista for older games which required the files
chrissicom is offline   Reply With Quote
Old Feb 16, 2007, 08:50 PM   #15
nyrangersfan
Chieftain
 
Join Date: Feb 2007
Posts: 1
This might be a new one. I am trying to install Civ 4 on my new Vista laptop. When the install program starts it shows the program at the bottom of the toolbar but you can not maximize it or even close it without going through task manager to end the task and it just stalls there. Any ideas???

nyrangersfan is offline   Reply With Quote
Old Feb 17, 2007, 05:15 AM   #16
chrissicom
Chieftain
 
chrissicom's Avatar
 
Join Date: Apr 2002
Posts: 82
How much RAM do you have? Did you try your CD in another computer?
chrissicom is offline   Reply With Quote
Old Feb 17, 2007, 06:24 AM   #17
BlackX
Chieftain
 
BlackX's Avatar
 
Join Date: Mar 2006
Location: Saint John, NB, Canada
Posts: 42
I thought that DX was suppose to be backward compatiable and thus DX10 should still run anything that needs earlier DX file versions?
BlackX is offline   Reply With Quote
Old Feb 17, 2007, 06:39 AM   #18
Riceman
Chieftain
 
Join Date: Feb 2007
Posts: 6
Health

Quote:
Originally Posted by BlackX View Post
I thought that DX was suppose to be backward compatiable and thus DX10 should still run anything that needs earlier DX file versions?
Some games require a specific DirectX 9 file that is not present with DX10. It's easy to fix, though - you just go and download the DirectX 9 SDK, and the file you need comes with that.
Riceman is offline   Reply With Quote
Old Feb 18, 2007, 11:57 AM   #19
chrissicom
Chieftain
 
chrissicom's Avatar
 
Join Date: Apr 2002
Posts: 82
Also DX10 is not as backwars compatible as DX9 is. DX9 is downwards compatible to DX3 I think that downwarsd compatibility has been omitted with DX10 and you need to install specific DX9 files for older games.
chrissicom is offline   Reply With Quote
Old Feb 19, 2007, 08:36 AM   #20
lvleph
Chieftain
 
Join Date: Oct 2005
Posts: 6
So no one has come up with a solution to my problem?
lvleph is offline   Reply With Quote
Reply

Bookmarks

Go Back Civilization Fanatics' Forums > CIVILIZATION IV > Civ4 - Technical Support > Compatibility Issues with Windows Vista??

Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off



Advertisement

All times are GMT -6. The time now is 09:08 AM.


Powered by vBulletin®
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
This site is copyright Civilization Fanatics' Center.
Support CFC: Amazon.com | Amazon UK | Amazon DE | Amazon CA | Amazon FR